EarthBeyond


EarthBeyond trucking beyond the Earth

Incompatible ETS2 & ATS Versions

SCS has released version 1.50 for Euro Truck Simulator 2 & American Truck Simulator

We do not support these updates yet on TruckersMP, but fortunately it is possible to downgrade to 1.49!

For information on downgrading your game, please click here

Information


Tag: EBY
Language: English
Created: 15 Dec 2023 18:03 UTC
Supported Games
Euro Truck Simulator 2
American Truck Simulator
DLCs Required: 0
Owner: ฮฃarthony
Members: 27
Recruitment: Open

Latest VTC Posts

Hauling with ITVTC

Go along with ITVTC in France

05 May 16:20 UTC   |   ฮฃarthony

The rest of April's convoy

Conclusion on our participation

05 May 15:55 UTC   |   ฮฃarthony

First convoy in April

with WEI HUANG Logistics from Taiwan

07 Apr 04:56 UTC   |   ฮฃarthony

Convoy in weekend

Participate "Rising Sun Logistics" and "Ethereal Transport" VTC's event

24 Mar 16:08 UTC   |   ฮฃarthony

Go along with TW-WWH

Have a fun convoy with alliance from Taiwan

03 Mar 18:32 UTC   |   ฮฃarthony

Rules

Events We Are Attending

SAVE, WWH Alliance Joint Event

SAVE, WWH Alliance Joint Event

Starting 9 hours from now

ETS2

Convoy

Event Server

169 4 48

TW-WWH JUNE PUBLIC CONVOY

TW-WWH JUNE PUBLIC CONVOY

Sat, Jun 15, 2024 12:30

ETS2

Convoy

To be determined

37 0 15

View more

Social

Requirements

  1. You must meet an English skill in communication level.
  2. You must be able to use discord in fundamental term.
  3. You must have at least 50 hours of playing reported in ETS2.
  4. You must register "Trucksbook" for records of your driving.
  5. Your account to Truckers MP must be greater than 3 months.
  6. Your active bans must be lower than 3 times.

DLC Requirements

No DLCs Required